<?php

use Openguru\OpenCartFramework\Migrations\Migration;

return new class extends Migration {
    public function up(): void
    {
        $legacyFilesToRemove = [
            DIR_TEMPLATE . '/extension/module/tgshop_init.twig',
        ];

        foreach ($legacyFilesToRemove as $file) {
            if (file_exists($file)) {
                unlink($file);
                $this->logger->info('Удалён старый файл: ' . $file);
            }
        }
    }
};
